/*-
 * ~~~~~~licensing~~~~~~
 * profile-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.profile.impl.connector;

import ru.entaxy.esb.platform.base.management.core.utils.BundleAwareManagedObjectImpl;

public class ManagedConnector extends BundleAwareManagedObjectImpl {

	protected String system;

	protected String name;
	
	protected String registeredName;
	
	protected String factoryId;
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ManagedConnector name(String name) {
		setName(name);
		return this;
	}
	
	public String getSystem() {
		return system;
	}

	public void setSystem(String system) {
		this.system = system;
	}

	public ManagedConnector system(String system) {
		setSystem(system);
		return this;
	}

	public String getFactoryId() {
		return factoryId;
	}

	public void setFactoryId(String factoryId) {
		this.factoryId = factoryId;
	}
	
	public ManagedConnector factoryId(String factoryIdValue) {
		this.setFactoryId(factoryIdValue);
		return this;
	}

	public String getRegisteredName() {
		return registeredName;
	}

	public void setRegisteredName(String registeredName) {
		this.registeredName = registeredName;
	};
	
	public ManagedConnector registeredName(String registeredNameValue) {
		this.setRegisteredName(registeredNameValue);
		return this;
	};
}
